Update Extension Applications
post
/config/sim/v2/setup/updateExtensionApplications
Updates an Extension Application.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Extension Application update request body.
Root Schema : schema
Type:
Show Source
object-
allowedAccessPaths:
array allowedAccessPaths
Allowed access paths for the Extension Application. Supported from Simphony 19.10.1 onwards.
-
dataLevel:
integer
Default Value:
2Data level. Valid range is 0 to 2 and cannot be set to null.Example:2 -
description:
object description
A group of string objects representing the description in configured languages. Can be null or empty.
-
extensionAppId(required):
integer
Unique reference of the Extension Application.Example:
101 -
hierUnitId(required):
integer
Unique hierarchy unit value.Example:
3599 -
interfaceId:
integer
Interface identifier. When specified, it must be a valid interface id.Example:
10 -
maxChars:
integer
Default Value:
200Maximum characters allowed. Valid range is 1 to 2000 and cannot be set to null.Example:200 -
maxItems:
integer
Default Value:
1Maximum items allowed. Valid range is 1 to 100 and cannot be set to null.Example:1 -
name(required):
string
Name of the Extension Application. Must be 1-200 characters and unique within the hierarchy unit.Example:
Loyalty Extension -
options:
string
Default Value:
0000000000000000000000000000000000000000000000000000000000000000Bit string of length 64 representing the Extension Application options.Example:0000000000000000000000000000000000000000000000000000000000000000 -
type:
integer
Default Value:
0Type of the Extension Application. Valid range is 0 to 2.Example:0
Nested Schema : allowedAccessPaths
Type:
arrayAllowed access paths for the Extension Application. Supported from Simphony 19.10.1 onwards.
Show Source
Example:
[
"C://Simphony"
]Nested Schema : description
Type:
objectA group of string objects representing the description in configured languages. Can be null or empty.
Example:
{
"1":"Loyalty Extension",
"2":"Loyalty Extension"
}Response
Supported Media Types
- application/json
200 Response
Extension Application updated.
Root Schema : schema
Type:
Show Source
object-
extensionAppId:
integer
Unique reference of the Extension Application. Auto-generated on insert.Example:
101 -
hierUnitId:
integer
Unique hierarchy unit value.Example:
3599